// Copyright 1986-2018 Xilinx, Inc. All Rights Reserved.
// --------------------------------------------------------------------------------
// Tool Version: Vivado v.2018.2 (win64) Build 2258646 Thu Jun 14 20:03:12 MDT 2018
// Date        : Tue Sep  4 15:24:36 2018
// Host        : baby running 64-bit major release  (build 9200)
// Command     : write_verilog -force -mode funcsim D:/L0MDT/srcs/ip/sine_rom/sine_rom_sim_netlist.v
// Design      : sine_rom
// Purpose     : This verilog netlist is a functional simulation representation of the design and should not be modified
//               or synthesized. This netlist cannot be used for SDF annotated simulation.
// Device      : xcku15p-ffva1760-1-e
// --------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CHECK_LICENSE_TYPE = "sine_rom,blk_mem_gen_v8_4_1,{}" *) (* downgradeipidentifiedwarnings = "yes" *) (* x_core_info = "blk_mem_gen_v8_4_1,Vivado 2018.2" *) 
(* NotValidForBitStream *)
module sine_rom
   (clka,
    addra,
    douta);
  (* x_interface_info = "xilinx.com:interface:bram:1.0 BRAM_PORTA CLK" *) (* x_interface_parameter = "XIL_INTERFACENAME BRAM_PORTA, MEM_SIZE 8192, MEM_WIDTH 32, MEM_ECC NONE, MASTER_TYPE OTHER" *) input clka;
  (* x_interface_info = "xilinx.com:interface:bram:1.0 BRAM_PORTA ADDR" *) input [11:0]addra;
  (* x_interface_info = "xilinx.com:interface:bram:1.0 BRAM_PORTA DOUT" *) output [12:0]douta;

  wire [11:0]addra;
  wire clka;
  wire [12:0]douta;
  wire NLW_U0_dbiterr_UNCONNECTED;
  wire NLW_U0_rsta_busy_UNCONNECTED;
  wire NLW_U0_rstb_busy_UNCONNECTED;
  wire NLW_U0_s_axi_arready_UNCONNECTED;
  wire NLW_U0_s_axi_awready_UNCONNECTED;
  wire NLW_U0_s_axi_bvalid_UNCONNECTED;
  wire NLW_U0_s_axi_dbiterr_UNCONNECTED;
  wire NLW_U0_s_axi_rlast_UNCONNECTED;
  wire NLW_U0_s_axi_rvalid_UNCONNECTED;
  wire NLW_U0_s_axi_sbiterr_UNCONNECTED;
  wire NLW_U0_s_axi_wready_UNCONNECTED;
  wire NLW_U0_sbiterr_UNCONNECTED;
  wire [12:0]NLW_U0_doutb_UNCONNECTED;
  wire [11:0]NLW_U0_rdaddrecc_UNCONNECTED;
  wire [3:0]NLW_U0_s_axi_bid_UNCONNECTED;
  wire [1:0]NLW_U0_s_axi_bresp_UNCONNECTED;
  wire [11:0]NLW_U0_s_axi_rdaddrecc_UNCONNECTED;
  wire [12:0]NLW_U0_s_axi_rdata_UNCONNECTED;
  wire [3:0]NLW_U0_s_axi_rid_UNCONNECTED;
  wire [1:0]NLW_U0_s_axi_rresp_UNCONNECTED;

  (* C_ADDRA_WIDTH = "12" *) 
  (* C_ADDRB_WIDTH = "12" *) 
  (* C_ALGORITHM = "1" *) 
  (* C_AXI_ID_WIDTH = "4" *) 
  (* C_AXI_SLAVE_TYPE = "0" *) 
  (* C_AXI_TYPE = "1" *) 
  (* C_BYTE_SIZE = "9" *) 
  (* C_COMMON_CLK = "0" *) 
  (* C_COUNT_18K_BRAM = "1" *) 
  (* C_COUNT_36K_BRAM = "1" *) 
  (* C_CTRL_ECC_ALGO = "NONE" *) 
  (* C_DEFAULT_DATA = "0" *) 
  (* C_DISABLE_WARN_BHV_COLL = "0" *) 
  (* C_DISABLE_WARN_BHV_RANGE = "0" *) 
  (* C_ELABORATION_DIR = "./" *) 
  (* C_ENABLE_32BIT_ADDRESS = "0" *) 
  (* C_EN_DEEPSLEEP_PIN = "0" *) 
  (* C_EN_ECC_PIPE = "0" *) 
  (* C_EN_RDADDRA_CHG = "0" *) 
  (* C_EN_RDADDRB_CHG = "0" *) 
  (* C_EN_SAFETY_CKT = "0" *) 
  (* C_EN_SHUTDOWN_PIN = "0" *) 
  (* C_EN_SLEEP_PIN = "0" *) 
  (* C_EST_POWER_SUMMARY = "Estimated Power for IP     :     2.542051 mW" *) 
  (* C_FAMILY = "kintexuplus" *) 
  (* C_HAS_AXI_ID = "0" *) 
  (* C_HAS_ENA = "0" *) 
  (* C_HAS_ENB = "0" *) 
  (* C_HAS_INJECTERR = "0" *) 
  (* C_HAS_MEM_OUTPUT_REGS_A = "1" *) 
  (* C_HAS_MEM_OUTPUT_REGS_B = "0" *) 
  (* C_HAS_MUX_OUTPUT_REGS_A = "0" *) 
  (* C_HAS_MUX_OUTPUT_REGS_B = "0" *) 
  (* C_HAS_REGCEA = "0" *) 
  (* C_HAS_REGCEB = "0" *) 
  (* C_HAS_RSTA = "0" *) 
  (* C_HAS_RSTB = "0" *) 
  (* C_HAS_SOFTECC_INPUT_REGS_A = "0" *) 
  (* C_HAS_SOFTECC_OUTPUT_REGS_B = "0" *) 
  (* C_INITA_VAL = "0" *) 
  (* C_INITB_VAL = "0" *) 
  (* C_INIT_FILE = "sine_rom.mem" *) 
  (* C_INIT_FILE_NAME = "sine_rom.mif" *) 
  (* C_INTERFACE_TYPE = "0" *) 
  (* C_LOAD_INIT_FILE = "1" *) 
  (* C_MEM_TYPE = "3" *) 
  (* C_MUX_PIPELINE_STAGES = "0" *) 
  (* C_PRIM_TYPE = "1" *) 
  (* C_READ_DEPTH_A = "4096" *) 
  (* C_READ_DEPTH_B = "4096" *) 
  (* C_READ_WIDTH_A = "13" *) 
  (* C_READ_WIDTH_B = "13" *) 
  (* C_RSTRAM_A = "0" *) 
  (* C_RSTRAM_B = "0" *) 
  (* C_RST_PRIORITY_A = "CE" *) 
  (* C_RST_PRIORITY_B = "CE" *) 
  (* C_SIM_COLLISION_CHECK = "ALL" *) 
  (* C_USE_BRAM_BLOCK = "0" *) 
  (* C_USE_BYTE_WEA = "0" *) 
  (* C_USE_BYTE_WEB = "0" *) 
  (* C_USE_DEFAULT_DATA = "0" *) 
  (* C_USE_ECC = "0" *) 
  (* C_USE_SOFTECC = "0" *) 
  (* C_USE_URAM = "0" *) 
  (* C_WEA_WIDTH = "1" *) 
  (* C_WEB_WIDTH = "1" *) 
  (* C_WRITE_DEPTH_A = "4096" *) 
  (* C_WRITE_DEPTH_B = "4096" *) 
  (* C_WRITE_MODE_A = "WRITE_FIRST" *) 
  (* C_WRITE_MODE_B = "WRITE_FIRST" *) 
  (* C_WRITE_WIDTH_A = "13" *) 
  (* C_WRITE_WIDTH_B = "13" *) 
  (* C_XDEVICEFAMILY = "kintexuplus" *) 
  (* downgradeipidentifiedwarnings = "yes" *) 
  sine_rom_blk_mem_gen_v8_4_1 U0
       (.addra(addra),
        .addrb({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .clka(clka),
        .clkb(1'b0),
        .dbiterr(NLW_U0_dbiterr_UNCONNECTED),
        .deepsleep(1'b0),
        .dina({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .dinb({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .douta(douta),
        .doutb(NLW_U0_doutb_UNCONNECTED[12:0]),
        .eccpipece(1'b0),
        .ena(1'b0),
        .enb(1'b0),
        .injectdbiterr(1'b0),
        .injectsbiterr(1'b0),
        .rdaddrecc(NLW_U0_rdaddrecc_UNCONNECTED[11:0]),
        .regcea(1'b0),
        .regceb(1'b0),
        .rsta(1'b0),
        .rsta_busy(NLW_U0_rsta_busy_UNCONNECTED),
        .rstb(1'b0),
        .rstb_busy(NLW_U0_rstb_busy_UNCONNECTED),
        .s_aclk(1'b0),
        .s_aresetn(1'b0),
        .s_axi_araddr({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .s_axi_arburst({1'b0,1'b0}),
        .s_axi_arid({1'b0,1'b0,1'b0,1'b0}),
        .s_axi_arlen({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .s_axi_arready(NLW_U0_s_axi_arready_UNCONNECTED),
        .s_axi_arsize({1'b0,1'b0,1'b0}),
        .s_axi_arvalid(1'b0),
        .s_axi_awaddr({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .s_axi_awburst({1'b0,1'b0}),
        .s_axi_awid({1'b0,1'b0,1'b0,1'b0}),
        .s_axi_awlen({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .s_axi_awready(NLW_U0_s_axi_awready_UNCONNECTED),
        .s_axi_awsize({1'b0,1'b0,1'b0}),
        .s_axi_awvalid(1'b0),
        .s_axi_bid(NLW_U0_s_axi_bid_UNCONNECTED[3:0]),
        .s_axi_bready(1'b0),
        .s_axi_bresp(NLW_U0_s_axi_bresp_UNCONNECTED[1:0]),
        .s_axi_bvalid(NLW_U0_s_axi_bvalid_UNCONNECTED),
        .s_axi_dbiterr(NLW_U0_s_axi_dbiterr_UNCONNECTED),
        .s_axi_injectdbiterr(1'b0),
        .s_axi_injectsbiterr(1'b0),
        .s_axi_rdaddrecc(NLW_U0_s_axi_rdaddrecc_UNCONNECTED[11:0]),
        .s_axi_rdata(NLW_U0_s_axi_rdata_UNCONNECTED[12:0]),
        .s_axi_rid(NLW_U0_s_axi_rid_UNCONNECTED[3:0]),
        .s_axi_rlast(NLW_U0_s_axi_rlast_UNCONNECTED),
        .s_axi_rready(1'b0),
        .s_axi_rresp(NLW_U0_s_axi_rresp_UNCONNECTED[1:0]),
        .s_axi_rvalid(NLW_U0_s_axi_rvalid_UNCONNECTED),
        .s_axi_sbiterr(NLW_U0_s_axi_sbiterr_UNCONNECTED),
        .s_axi_wdata({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .s_axi_wlast(1'b0),
        .s_axi_wready(NLW_U0_s_axi_wready_UNCONNECTED),
        .s_axi_wstrb(1'b0),
        .s_axi_wvalid(1'b0),
        .sbiterr(NLW_U0_sbiterr_UNCONNECTED),
        .shutdown(1'b0),
        .sleep(1'b0),
        .wea(1'b0),
        .web(1'b0));
endmodule

(* ORIG_REF_NAME = "blk_mem_gen_generic_cstr" *) 
module sine_rom_blk_mem_gen_generic_cstr
   (douta,
    clka,
    sleep,
    addra);
  output [12:0]douta;
  input clka;
  input sleep;
  input [11:0]addra;

  wire [11:0]addra;
  wire clka;
  wire [12:0]douta;
  wire sleep;

  sine_rom_blk_mem_gen_prim_width \ramloop[0].ram.r 
       (.addra(addra),
        .clka(clka),
        .douta(douta[3:0]),
        .sleep(sleep));
  sine_rom_blk_mem_gen_prim_width__parameterized0 \ramloop[1].ram.r 
       (.addra(addra),
        .clka(clka),
        .douta(douta[12:4]),
        .sleep(sleep));
endmodule

(* ORIG_REF_NAME = "blk_mem_gen_prim_width" *) 
module sine_rom_blk_mem_gen_prim_width
   (douta,
    clka,
    sleep,
    addra);
  output [3:0]douta;
  input clka;
  input sleep;
  input [11:0]addra;

  wire [11:0]addra;
  wire clka;
  wire [3:0]douta;
  wire sleep;

  sine_rom_blk_mem_gen_prim_wrapper_init \prim_init.ram 
       (.addra(addra),
        .clka(clka),
        .douta(douta),
        .sleep(sleep));
endmodule

(* ORIG_REF_NAME = "blk_mem_gen_prim_width" *) 
module sine_rom_blk_mem_gen_prim_width__parameterized0
   (douta,
    clka,
    sleep,
    addra);
  output [8:0]douta;
  input clka;
  input sleep;
  input [11:0]addra;

  wire [11:0]addra;
  wire clka;
  wire [8:0]douta;
  wire sleep;

  sine_rom_blk_mem_gen_prim_wrapper_init__parameterized0 \prim_init.ram 
       (.addra(addra),
        .clka(clka),
        .douta(douta),
        .sleep(sleep));
endmodule

(* ORIG_REF_NAME = "blk_mem_gen_prim_wrapper_init" *) 
module sine_rom_blk_mem_gen_prim_wrapper_init
   (douta,
    clka,
    sleep,
    addra);
  output [3:0]douta;
  input clka;
  input sleep;
  input [11:0]addra;

  wire [11:0]addra;
  wire clka;
  wire [3:0]douta;
  wire sleep;
  wire [15:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTA_UNCONNECTED ;
  wire [15:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTB_UNCONNECTED ;
  wire [1:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTPA_UNCONNECTED ;
  wire [1:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTPB_UNCONNECTED ;
  wire [15:4]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTADOUT_UNCONNECTED ;
  wire [15:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTBDOUT_UNCONNECTED ;
  wire [1:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTPADOUTP_UNCONNECTED ;
  wire [1:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTPBDOUTP_UNCONNECTED ;

  (* box_type = "PRIMITIVE" *) 
  RAMB18E2 #(
    .CASCADE_ORDER_A("NONE"),
    .CASCADE_ORDER_B("NONE"),
    .CLOCK_DOMAINS("COMMON"),
    .DOA_REG(1),
    .DOB_REG(0),
    .ENADDRENA("FALSE"),
    .ENADDRENB("FALSE"),
    .INITP_00(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_01(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_02(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_03(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_04(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_05(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_06(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_07(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INIT_00(256'h420ECA8531FDB97530ECA86420EB97531FDB97420ECA8642FDB97531FDA86420),
    .INIT_01(256'hA86420EC97531FDB97420ECA86420DB97531FDB86420ECA8641FDB97531FCA86),
    .INIT_02(256'h0ECA8631FDB97531FCA86420ECA8531FDB97531ECA86420ECA7531FDB97530EC),
    .INIT_03(256'h531FDB97531ECA86420ECA8531FDB97531FCA86420ECA8631FDB97531FCA8642),
    .INIT_04(256'hA86420ECA8531FDB97531FDA86420ECA86420DB97531FDB97520ECA86420EC97),
    .INIT_05(256'hECA86420ECA8641FDB97531FDB97530ECA86420ECA8641FDB97531FDB97520EC),
    .INIT_06(256'h20EC97531FDB97531FDB97530ECA86420ECA86420EC97531FDB97531FDB97420),
    .INIT_07(256'h420ECA86420ECA8641FDB97531FDB97531FDB97531FDA86420ECA86420ECA864),
    .INIT_08(256'h531FDB97531FDB97531FDB97531FDB97531FDB97531FDB96420ECA86420ECA86),
    .INIT_09(256'h531FDB97531FDB975420ECA86420ECA86420ECA8531FDB97531FDB97531FDB97),
    .INIT_0A(256'h420ECA86420ECA97531FDB97531FDB97531FDB97531FDB97531FDB97531FDB97),
    .INIT_0B(256'h1FDCA86420ECA86420ECA86531FDB97531FDB97531FDB986420ECA86420ECA86),
    .INIT_0C(256'hDB975320ECA86420ECA87531FDB97531FDCA86420ECA86420FDB97531FDB9753),
    .INIT_0D(256'h7531FDCA86420ECB97531FDB986420ECA86431FDB97531FECA86420ECA97531F),
    .INIT_0E(256'hFDB986420ECA97531FDCA86420EDB97531FECA86420FDB97531FECA86420EDB9),
    .INIT_0F(256'h5310ECA86531FDBA86420FDB975320ECA87531FDBA86420FDB975320ECA86531),
    .INIT_10(256'h975420ECB975320ECA975310ECA87531FDCA86431FDBA86420FDB975420ECB97),
    .INIT_11(256'hB975420EDB976420FDB976420FDB986420FDB986420FDB976420FDB976420EDB),
    .INIT_12(256'hA875320ECB975420FDB986421FDBA86531FECA875310ECA975320ECB975420ED),
    .INIT_13(256'h75420FDBA865310ECA975420FDB986431FECA875320ECB976421FDBA86431FEC),
    .INIT_14(256'h20EDB986431FECA976421FDCA875320EDB986431FECA975420FDBA865310ECB9),
    .INIT_15(256'h9864310ECB9864310ECB986431FECB976421FECA975421FDCA875420FDBA8653),
    .INIT_16(256'hEDBA865320FDBA875421FDCA976421FECB976431FECB9864310ECB9864310ECB),
    .INIT_17(256'h0FDCA9764310EDBA875320FDCA9764310EDB9865320FDCA975421FECB9864310),
    .INIT_18(256'hFECB9875421FECB9865320FECB9865320FDCA9764310EDBA875421FECB986532),
    .INIT_19(256'hBA9764310FDCA9765320FECB9865321FECB9875421FECBA875421FECBA875421),
    .INIT_1A(256'h4310FDCB98754210EDCA9765320FECBA8754310EDCA9765320FECB98754210ED),
    .INIT_1B(256'hA8764321FEDBA9765321FEDBA9765321FEDBA9765321FEDBA9764320FECBA876),
    .INIT_1C(256'hCB98764321FEDCA98654310FECBA8765321FEDCA98654310FDCB98764320FECB),
    .INIT_1D(256'hBA87653210FDCBA97654210FECBA97654310FECBA97654210FDCBA87653210ED),
    .INIT_1E(256'h654310FEDCA987654210FEDBA987643210EDCBA97654310FEDCA987643210EDC),
    .INIT_1F(256'hEDBA987654321FEDCBA987543210FEDBA987654210FEDCB987654310FEDCB987),
    .INIT_20(256'h986543210EDCBA986543210FDCBA987643210FEDCA987654320FEDCBA9876432),
    .INIT_21(256'h4310FEDBA987543210EDCBA87654310FEDBA987643210FDCBA987543210EDCBA),
    .INIT_22(256'h310FECBA97654210FDCBA87653210EDCBA87653210FDCBA87654210FECBA9765),
    .INIT_23(256'h5321FEDBA98654210EDCB98754320FECBA97653210EDCB98754320FEDBA98654),
    .INIT_24(256'hA9765321FEDBA8764320FECBA8764320FECBA8764320FECBA8764320FEDBA976),
    .INIT_25(256'h310FDCA9865321FECBA8754310EDCA9765321FECBA8754310FDCA98654210EDB),
    .INIT_26(256'hFDCA9765320FDCA9765320FDCA9865320FECB9865321FECBA8754210EDBA8764),
    .INIT_27(256'hECB9865320FDCA9764310EDBA875421FECB9865321FECB9865320FDCA9865320),
    .INIT_28(256'h0EDB9865320FDCA875421FECB9864310EDBA875421FECA9764310EDBA875421F),
    .INIT_29(256'h5310EDB9865310EDB9865320EDBA865320FDBA875420FDCA976421FECB976431),
    .INIT_2A(256'hCB976421FDCA975420FDCA875320FDBA865320EDB9865310EDB9865310EDB986),
    .INIT_2B(256'h65310ECB976421FDCA875320EDB986431FECA975420FDBA875320EDB986431FE),
    .INIT_2C(256'h320EDB976420FDBA86531FECA975320EDB986421FDCA875310ECB976421FDCA8),
    .INIT_2D(256'h31FDCA86531FECA875310ECA975320ECB976420FDB986421FDCA86531FECA975),
    .INIT_2E(256'h431FDBA86421FDBA86421FDB986421FDB986421FDBA86421FDBA86431FDCA864),
    .INIT_2F(256'h86531FDCA86421FDB976420EDB975420ECA975310ECA87531FECA86531FDCA86),
    .INIT_30(256'hECB97531FECA86421FDB976420ECA97531FECA86421FDB976420ECB975310ECA),
    .INIT_31(256'h6431FDB975320ECA86421FDB975320ECA86431FDB975420ECA87531FDB986420),
    .INIT_32(256'h0ECA87531FDB975320ECA86420EDB97531FDB986420ECA86531FDB975420ECA8),
    .INIT_33(256'hCA86420ECA86421FDB97531FDB975420ECA86420ECA97531FDB97531FECA8642),
    .INIT_34(256'h97531FDB97531FDB986420ECA86420ECA86420ECB97531FDB97531FDB975420E),
    .INIT_35(256'h86420ECA86420ECA86420ECA86420ECA86420ECA86420ECA87531FDB97531FDB),
    .INIT_36(256'h86420ECA86420ECA86420EC97531FDB97531FDB97531FDCA86420ECA86420ECA),
    .INIT_37(256'h97531FDB97531FDB86420ECA86420ECA86420ECA86420ECA86420ECA86420ECA),
    .INIT_38(256'hB97531FDB97531FDB97420ECA86420ECA86420ECA86420DB97531FDB97531FDB),
    .INIT_39(256'hFDA86420ECA86420ECA8531FDB97531FDB97531ECA86420ECA86420ECA8531FD),
    .INIT_3A(256'h31FCA86420ECA86420DB97531FDB97531ECA86420ECA86420DB97531FDB97531),
    .INIT_3B(256'h8531FDB97531FCA86420ECA8641FDB97531FDB97420ECA86420EC97531FDB975),
    .INIT_3C(256'hDB97520ECA86420EB97531FDB97520ECA86420EC97531FDB97530ECA86420ECA),
    .INIT_3D(256'h31ECA86420ECA7531FDB97530ECA86420EC97531FDB97520ECA86420EB97531F),
    .INIT_3E(256'h97520ECA86420DB97531FDB96420ECA8641FDB97531FDA86420ECA8531FDB975),
    .INIT_3F(256'hFDB97420ECA8642FDB97531FDA86420ECA8631FDB97531ECA86420EC97531FDB),
    .INIT_A(18'h00000),
    .INIT_B(18'h00000),
    .INIT_FILE("NONE"),
    .IS_CLKARDCLK_INVERTED(1'b0),
    .IS_CLKBWRCLK_INVERTED(1'b0),
    .IS_ENARDEN_INVERTED(1'b0),
    .IS_ENBWREN_INVERTED(1'b0),
    .IS_RSTRAMARSTRAM_INVERTED(1'b0),
    .IS_RSTRAMB_INVERTED(1'b0),
    .IS_RSTREGARSTREG_INVERTED(1'b0),
    .IS_RSTREGB_INVERTED(1'b0),
    .RDADDRCHANGEA("FALSE"),
    .RDADDRCHANGEB("FALSE"),
    .READ_WIDTH_A(4),
    .READ_WIDTH_B(4),
    .RSTREG_PRIORITY_A("REGCE"),
    .RSTREG_PRIORITY_B("REGCE"),
    .SIM_COLLISION_CHECK("ALL"),
    .SLEEP_ASYNC("FALSE"),
    .SRVAL_A(18'h00000),
    .SRVAL_B(18'h00000),
    .WRITE_MODE_A("WRITE_FIRST"),
    .WRITE_MODE_B("WRITE_FIRST"),
    .WRITE_WIDTH_A(4),
    .WRITE_WIDTH_B(4)) 
    \DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram 
       (.ADDRARDADDR({addra,1'b0,1'b0}),
        .ADDRBWRADDR({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .ADDRENA(1'b0),
        .ADDRENB(1'b0),
        .CASDIMUXA(1'b0),
        .CASDIMUXB(1'b0),
        .CASDINA({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .CASDINB({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .CASDINPA({1'b0,1'b0}),
        .CASDINPB({1'b0,1'b0}),
        .CASDOMUXA(1'b0),
        .CASDOMUXB(1'b0),
        .CASDOMUXEN_A(1'b0),
        .CASDOMUXEN_B(1'b0),
        .CASDOUTA(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTA_UNCONNECTED [15:0]),
        .CASDOUTB(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTB_UNCONNECTED [15:0]),
        .CASDOUTPA(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTPA_UNCONNECTED [1:0]),
        .CASDOUTPB(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_CASDOUTPB_UNCONNECTED [1:0]),
        .CASOREGIMUXA(1'b0),
        .CASOREGIMUXB(1'b0),
        .CASOREGIMUXEN_A(1'b0),
        .CASOREGIMUXEN_B(1'b0),
        .CLKARDCLK(clka),
        .CLKBWRCLK(clka),
        .DINADIN({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .DINBDIN({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .DINPADINP({1'b0,1'b0}),
        .DINPBDINP({1'b0,1'b0}),
        .DOUTADOUT({\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTADOUT_UNCONNECTED [15:4],douta}),
        .DOUTBDOUT(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTBDOUT_UNCONNECTED [15:0]),
        .DOUTPADOUTP(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTPADOUTP_UNCONNECTED [1:0]),
        .DOUTPBDOUTP(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM18.ram_DOUTPBDOUTP_UNCONNECTED [1:0]),
        .ENARDEN(1'b1),
        .ENBWREN(1'b0),
        .REGCEAREGCE(1'b1),
        .REGCEB(1'b0),
        .RSTRAMARSTRAM(1'b0),
        .RSTRAMB(1'b0),
        .RSTREGARSTREG(1'b0),
        .RSTREGB(1'b0),
        .SLEEP(sleep),
        .WEA({1'b0,1'b0}),
        .WEBWE({1'b0,1'b0,1'b0,1'b0}));
endmodule

(* ORIG_REF_NAME = "blk_mem_gen_prim_wrapper_init" *) 
module sine_rom_blk_mem_gen_prim_wrapper_init__parameterized0
   (douta,
    clka,
    sleep,
    addra);
  output [8:0]douta;
  input clka;
  input sleep;
  input [11:0]addra;

  wire [11:0]addra;
  wire clka;
  wire [8:0]douta;
  wire sleep;
  wire \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASOUTDBITERR_UNCONNECTED ;
  wire \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASOUTSBITERR_UNCONNECTED ;
  wire \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DBITERR_UNCONNECTED ;
  wire \NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_SBITERR_UNCONNECTED ;
  wire [31:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTA_UNCONNECTED ;
  wire [31:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTB_UNCONNECTED ;
  wire [3:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTPA_UNCONNECTED ;
  wire [3:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTPB_UNCONNECTED ;
  wire [31:8]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTADOUT_UNCONNECTED ;
  wire [31:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTBDOUT_UNCONNECTED ;
  wire [3:1]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTPADOUTP_UNCONNECTED ;
  wire [3:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTPBDOUTP_UNCONNECTED ;
  wire [7:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_ECCPARITY_UNCONNECTED ;
  wire [8:0]\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_RDADDRECC_UNCONNECTED ;

  (* box_type = "PRIMITIVE" *) 
  RAMB36E2 #(
    .CASCADE_ORDER_A("NONE"),
    .CASCADE_ORDER_B("NONE"),
    .CLOCK_DOMAINS("COMMON"),
    .DOA_REG(1),
    .DOB_REG(0),
    .ENADDRENA("FALSE"),
    .ENADDRENB("FALSE"),
    .EN_ECC_PIPE("FALSE"),
    .EN_ECC_READ("FALSE"),
    .EN_ECC_WRITE("FALSE"),
    .INITP_00(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_01(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_02(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_03(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_04(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_05(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_06(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_07(256'h0000000000000000000000000000000000000000000000000000000000000000),
    .INITP_08(256'hFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF),
    .INITP_09(256'hFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF),
    .INITP_0A(256'hFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF),
    .INITP_0B(256'hFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF),
    .INITP_0C(256'hFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF),
    .INITP_0D(256'hFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF),
    .INITP_0E(256'hFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF),
    .INITP_0F(256'hFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF),
    .INIT_00(256'h0403030303030303030202020202020201010101010101010000000000000000),
    .INIT_01(256'h0808080707070707070706060606060606060505050505050505040404040404),
    .INIT_02(256'h0C0C0C0C0B0B0B0B0B0B0B0B0A0A0A0A0A0A0A09090909090909090808080808),
    .INIT_03(256'h1010101010100F0F0F0F0F0F0F0E0E0E0E0E0E0E0E0D0D0D0D0D0D0D0D0C0C0C),
    .INIT_04(256'h1414141414141413131313131313131212121212121211111111111111111010),
    .INIT_05(256'h1918181818181818171717171717171716161616161616161515151515151514),
    .INIT_06(256'h1D1D1C1C1C1C1C1C1C1C1B1B1B1B1B1B1B1A1A1A1A1A1A1A1A19191919191919),
    .INIT_07(256'h21212120202020202020201F1F1F1F1F1F1F1F1E1E1E1E1E1E1E1D1D1D1D1D1D),
    .INIT_08(256'h2525252525242424242424242323232323232323222222222222222221212121),
    .INIT_09(256'h2929292929292828282828282827272727272727272626262626262626252525),
    .INIT_0A(256'h2D2D2D2D2D2D2D2C2C2C2C2C2C2C2B2B2B2B2B2B2B2B2A2A2A2A2A2A2A2A2929),
    .INIT_0B(256'h3131313131313131303030303030302F2F2F2F2F2F2F2F2E2E2E2E2E2E2E2E2D),
    .INIT_0C(256'h3635353535353535353434343434343433333333333333333232323232323232),
    .INIT_0D(256'h3A3A393939393939393838383838383838373737373737373736363636363636),
    .INIT_0E(256'h3E3E3D3D3D3D3D3D3D3D3C3C3C3C3C3C3C3C3B3B3B3B3B3B3B3B3A3A3A3A3A3A),
    .INIT_0F(256'h4242424141414141414141404040404040403F3F3F3F3F3F3F3F3E3E3E3E3E3E),
    .INIT_10(256'h4646464545454545454545444444444444444443434343434343434242424242),
    .INIT_11(256'h4A4A4A4949494949494949484848484848484847474747474747474646464646),
    .INIT_12(256'h4E4E4E4E4D4D4D4D4D4D4D4C4C4C4C4C4C4C4C4B4B4B4B4B4B4B4B4A4A4A4A4A),
    .INIT_13(256'h52525251515151515151515050505050505050504F4F4F4F4F4F4F4F4E4E4E4E),
    .INIT_14(256'h5656565555555555555555545454545454545453535353535353535252525252),
    .INIT_15(256'h5A5A5A5959595959595959585858585858585857575757575757575656565656),
    .INIT_16(256'h5E5E5D5D5D5D5D5D5D5D5C5C5C5C5C5C5C5C5C5B5B5B5B5B5B5B5B5A5A5A5A5A),
    .INIT_17(256'h6261616161616161616160606060606060605F5F5F5F5F5F5F5F5E5E5E5E5E5E),
    .INIT_18(256'h6565656565656565656464646464646464636363636363636362626262626262),
    .INIT_19(256'h6969696969696969686868686868686867676767676767676666666666666666),
    .INIT_1A(256'h6D6D6D6D6D6D6C6C6C6C6C6C6C6C6B6B6B6B6B6B6B6B6B6A6A6A6A6A6A6A6A69),
    .INIT_1B(256'h717171717070707070707070706F6F6F6F6F6F6F6F6E6E6E6E6E6E6E6E6E6D6D),
    .INIT_1C(256'h7575747474747474747474737373737373737372727272727272727271717171),
    .INIT_1D(256'h7878787878787878787777777777777777767676767676767676757575757575),
    .INIT_1E(256'h7C7C7C7C7C7C7B7B7B7B7B7B7B7B7B7A7A7A7A7A7A7A7A7A7979797979797979),
    .INIT_1F(256'h808080807F7F7F7F7F7F7F7F7E7E7E7E7E7E7E7E7E7D7D7D7D7D7D7D7D7D7C7C),
    .INIT_20(256'h8383838383838383838282828282828282828181818181818181818080808080),
    .INIT_21(256'h8787878787878686868686868686868585858585858585858484848484848484),
    .INIT_22(256'h8B8B8A8A8A8A8A8A8A8A8A898989898989898989888888888888888888878787),
    .INIT_23(256'h8E8E8E8E8E8E8E8D8D8D8D8D8D8D8D8D8C8C8C8C8C8C8C8C8C8B8B8B8B8B8B8B),
    .INIT_24(256'h9292919191919191919191919090909090909090908F8F8F8F8F8F8F8F8F8E8E),
    .INIT_25(256'h9595959595959594949494949494949493939393939393939392929292929292),
    .INIT_26(256'h9998989898989898989898979797979797979797969696969696969696959595),
    .INIT_27(256'h9C9C9C9C9C9B9B9B9B9B9B9B9B9B9B9A9A9A9A9A9A9A9A9A9999999999999999),
    .INIT_28(256'h9F9F9F9F9F9F9F9F9E9E9E9E9E9E9E9E9E9E9D9D9D9D9D9D9D9D9D9D9C9C9C9C),
    .INIT_29(256'hA3A3A2A2A2A2A2A2A2A2A2A1A1A1A1A1A1A1A1A1A1A0A0A0A0A0A0A0A0A0A09F),
    .INIT_2A(256'hA6A6A6A6A5A5A5A5A5A5A5A5A5A5A4A4A4A4A4A4A4A4A4A4A3A3A3A3A3A3A3A3),
    .INIT_2B(256'hA9A9A9A9A9A9A9A8A8A8A8A8A8A8A8A8A8A7A7A7A7A7A7A7A7A7A6A6A6A6A6A6),
    .INIT_2C(256'hACACACACACACACACABABABABABABABABABABABAAAAAAAAAAAAAAAAAAAAA9A9A9),
    .INIT_2D(256'hAFAFAFAFAFAFAFAFAFAFAEAEAEAEAEAEAEAEAEAEADADADADADADADADADADACAC),
    .INIT_2E(256'hB3B2B2B2B2B2B2B2B2B2B2B1B1B1B1B1B1B1B1B1B1B0B0B0B0B0B0B0B0B0B0B0),
    .INIT_2F(256'hB6B5B5B5B5B5B5B5B5B5B5B5B4B4B4B4B4B4B4B4B4B4B3B3B3B3B3B3B3B3B3B3),
    .INIT_30(256'hB9B8B8B8B8B8B8B8B8B8B8B8B7B7B7B7B7B7B7B7B7B7B6B6B6B6B6B6B6B6B6B6),
    .INIT_31(256'hBBBBBBBBBBBBBBBBBBBBBBBABABABABABABABABABABAB9B9B9B9B9B9B9B9B9B9),
    .INIT_32(256'hBEBEBEBEBEBEBEBEBEBEBDBDBDBDBDBDBDBDBDBDBDBCBCBCBCBCBCBCBCBCBCBC),
    .INIT_33(256'hC1C1C1C1C1C1C1C1C1C0C0C0C0C0C0C0C0C0C0C0BFBFBFBFBFBFBFBFBFBFBFBE),
    .INIT_34(256'hC4C4C4C4C4C4C4C3C3C3C3C3C3C3C3C3C3C3C2C2C2C2C2C2C2C2C2C2C2C2C1C1),
    .INIT_35(256'hC7C7C7C7C6C6C6C6C6C6C6C6C6C6C6C6C5C5C5C5C5C5C5C5C5C5C5C4C4C4C4C4),
    .INIT_36(256'hC9C9C9C9C9C9C9C9C9C9C9C9C8C8C8C8C8C8C8C8C8C8C8C8C7C7C7C7C7C7C7C7),
    .INIT_37(256'hCCCCCCCCCCCCCCCCCBCBCBCBCBCBCBCBCBCBCBCBCACACACACACACACACACACACA),
    .INIT_38(256'hCFCFCFCECECECECECECECECECECECECECDCDCDCDCDCDCDCDCDCDCDCDCCCCCCCC),
    .INIT_39(256'hD1D1D1D1D1D1D1D1D1D1D0D0D0D0D0D0D0D0D0D0D0D0D0CFCFCFCFCFCFCFCFCF),
    .INIT_3A(256'hD4D4D4D4D3D3D3D3D3D3D3D3D3D3D3D3D3D2D2D2D2D2D2D2D2D2D2D2D2D2D1D1),
    .INIT_3B(256'hD6D6D6D6D6D6D6D6D6D6D5D5D5D5D5D5D5D5D5D5D5D5D5D4D4D4D4D4D4D4D4D4),
    .INIT_3C(256'hD9D9D8D8D8D8D8D8D8D8D8D8D8D8D8D7D7D7D7D7D7D7D7D7D7D7D7D7D7D6D6D6),
    .INIT_3D(256'hDBDBDBDBDBDBDADADADADADADADADADADADADADAD9D9D9D9D9D9D9D9D9D9D9D9),
    .INIT_3E(256'hDDDDDDDDDDDDDDDDDDDDDCDCDCDCDCDCDCDCDCDCDCDCDCDCDBDBDBDBDBDBDBDB),
    .INIT_3F(256'hDFDFDFDFDFDFDFDFDFDFDFDFDFDEDEDEDEDEDEDEDEDEDEDEDEDEDEDEDDDDDDDD),
    .INIT_40(256'h2222222222212121212121212121212121212120202020202020202020202020),
    .INIT_41(256'h2424242424242424242323232323232323232323232323222222222222222222),
    .INIT_42(256'h2626262626262626262626262625252525252525252525252525252424242424),
    .INIT_43(256'h2929292928282828282828282828282828282727272727272727272727272726),
    .INIT_44(256'h2B2B2B2B2B2B2B2B2B2B2A2A2A2A2A2A2A2A2A2A2A2A2A292929292929292929),
    .INIT_45(256'h2E2E2E2D2D2D2D2D2D2D2D2D2D2D2D2D2C2C2C2C2C2C2C2C2C2C2C2C2C2B2B2B),
    .INIT_46(256'h303030303030303030302F2F2F2F2F2F2F2F2F2F2F2F2E2E2E2E2E2E2E2E2E2E),
    .INIT_47(256'h3333333332323232323232323232323232313131313131313131313131303030),
    .INIT_48(256'h3535353535353535353535353434343434343434343434343333333333333333),
    .INIT_49(256'h3838383838383838373737373737373737373737363636363636363636363636),
    .INIT_4A(256'h3B3B3B3B3B3A3A3A3A3A3A3A3A3A3A3A3A393939393939393939393939383838),
    .INIT_4B(256'h3E3E3E3D3D3D3D3D3D3D3D3D3D3D3C3C3C3C3C3C3C3C3C3C3C3C3B3B3B3B3B3B),
    .INIT_4C(256'h4140404040404040404040403F3F3F3F3F3F3F3F3F3F3F3F3E3E3E3E3E3E3E3E),
    .INIT_4D(256'h4343434343434343434343424242424242424242424241414141414141414141),
    .INIT_4E(256'h4646464646464646464645454545454545454545454444444444444444444444),
    .INIT_4F(256'h4949494949494949494948484848484848484848484747474747474747474746),
    .INIT_50(256'h4C4C4C4C4C4C4C4C4C4C4B4B4B4B4B4B4B4B4B4B4B4A4A4A4A4A4A4A4A4A4A49),
    .INIT_51(256'h504F4F4F4F4F4F4F4F4F4F4E4E4E4E4E4E4E4E4E4E4D4D4D4D4D4D4D4D4D4D4D),
    .INIT_52(256'h5353525252525252525252525151515151515151515150505050505050505050),
    .INIT_53(256'h5656565655555555555555555555545454545454545454545353535353535353),
    .INIT_54(256'h5959595959595858585858585858585857575757575757575757565656565656),
    .INIT_55(256'h5C5C5C5C5C5C5C5C5B5B5B5B5B5B5B5B5B5B5A5A5A5A5A5A5A5A5A5A59595959),
    .INIT_56(256'h605F5F5F5F5F5F5F5F5F5F5E5E5E5E5E5E5E5E5E5E5D5D5D5D5D5D5D5D5D5C5C),
    .INIT_57(256'h6363636363626262626262626262616161616161616161616060606060606060),
    .INIT_58(256'h6666666666666666656565656565656565656464646464646464646363636363),
    .INIT_59(256'h6A6A6A6969696969696969696868686868686868686767676767676767676766),
    .INIT_5A(256'h6D6D6D6D6D6D6D6C6C6C6C6C6C6C6C6C6B6B6B6B6B6B6B6B6B6A6A6A6A6A6A6A),
    .INIT_5B(256'h71717070707070707070706F6F6F6F6F6F6F6F6F6F6E6E6E6E6E6E6E6E6E6D6D),
    .INIT_5C(256'h7474747474747473737373737373737372727272727272727271717171717171),
    .INIT_5D(256'h7878787777777777777777777676767676767676767575757575757575757474),
    .INIT_5E(256'h7B7B7B7B7B7B7B7B7B7A7A7A7A7A7A7A7A797979797979797979787878787878),
    .INIT_5F(256'h7F7F7F7F7F7E7E7E7E7E7E7E7E7E7D7D7D7D7D7D7D7D7D7C7C7C7C7C7C7C7C7C),
    .INIT_60(256'h83838282828282828282828181818181818181818080808080808080807F7F7F),
    .INIT_61(256'h8686868686868686858585858585858585848484848484848484838383838383),
    .INIT_62(256'h8A8A8A8A8A8A8989898989898989898888888888888888878787878787878787),
    .INIT_63(256'h8E8E8E8E8D8D8D8D8D8D8D8D8D8C8C8C8C8C8C8C8C8B8B8B8B8B8B8B8B8B8A8A),
    .INIT_64(256'h929291919191919191919190909090909090908F8F8F8F8F8F8F8F8F8E8E8E8E),
    .INIT_65(256'h9695959595959595959494949494949494949393939393939393929292929292),
    .INIT_66(256'h9999999999999999989898989898989897979797979797979696969696969696),
    .INIT_67(256'h9D9D9D9D9D9D9D9C9C9C9C9C9C9C9C9B9B9B9B9B9B9B9B9A9A9A9A9A9A9A9A9A),
    .INIT_68(256'hA1A1A1A1A1A1A0A0A0A0A0A0A0A09F9F9F9F9F9F9F9F9E9E9E9E9E9E9E9E9E9D),
    .INIT_69(256'hA5A5A5A5A5A4A4A4A4A4A4A4A4A3A3A3A3A3A3A3A3A3A2A2A2A2A2A2A2A2A1A1),
    .INIT_6A(256'hA9A9A9A9A9A8A8A8A8A8A8A8A8A7A7A7A7A7A7A7A7A6A6A6A6A6A6A6A6A5A5A5),
    .INIT_6B(256'hADADADADADACACACACACACACACABABABABABABABABAAAAAAAAAAAAAAAAA9A9A9),
    .INIT_6C(256'hB1B1B1B1B0B0B0B0B0B0B0B0AFAFAFAFAFAFAFAFAFAEAEAEAEAEAEAEAEADADAD),
    .INIT_6D(256'hB5B5B5B5B5B4B4B4B4B4B4B4B4B3B3B3B3B3B3B3B3B2B2B2B2B2B2B2B1B1B1B1),
    .INIT_6E(256'hB9B9B9B9B9B8B8B8B8B8B8B8B8B7B7B7B7B7B7B7B7B6B6B6B6B6B6B6B6B5B5B5),
    .INIT_6F(256'hBDBDBDBDBDBCBCBCBCBCBCBCBCBBBBBBBBBBBBBBBBBABABABABABABABAB9B9B9),
    .INIT_70(256'hC1C1C1C1C1C1C0C0C0C0C0C0C0C0BFBFBFBFBFBFBFBEBEBEBEBEBEBEBEBDBDBD),
    .INIT_71(256'hC5C5C5C5C5C5C4C4C4C4C4C4C4C4C3C3C3C3C3C3C3C3C2C2C2C2C2C2C2C2C1C1),
    .INIT_72(256'hC9C9C9C9C9C9C9C8C8C8C8C8C8C8C8C7C7C7C7C7C7C7C7C6C6C6C6C6C6C6C5C5),
    .INIT_73(256'hCDCDCDCDCDCDCDCDCCCCCCCCCCCCCCCCCBCBCBCBCBCBCBCACACACACACACACAC9),
    .INIT_74(256'hD2D1D1D1D1D1D1D1D1D0D0D0D0D0D0D0D0CFCFCFCFCFCFCFCECECECECECECECE),
    .INIT_75(256'hD6D6D5D5D5D5D5D5D5D5D4D4D4D4D4D4D4D4D3D3D3D3D3D3D3D2D2D2D2D2D2D2),
    .INIT_76(256'hDADADAD9D9D9D9D9D9D9D9D8D8D8D8D8D8D8D8D7D7D7D7D7D7D7D6D6D6D6D6D6),
    .INIT_77(256'hDEDEDEDEDDDDDDDDDDDDDDDDDCDCDCDCDCDCDCDCDBDBDBDBDBDBDBDADADADADA),
    .INIT_78(256'hE2E2E2E2E2E2E1E1E1E1E1E1E1E0E0E0E0E0E0E0E0DFDFDFDFDFDFDFDFDEDEDE),
    .INIT_79(256'hE6E6E6E6E6E6E6E5E5E5E5E5E5E5E5E4E4E4E4E4E4E4E3E3E3E3E3E3E3E3E2E2),
    .INIT_7A(256'hEBEAEAEAEAEAEAEAE9E9E9E9E9E9E9E9E8E8E8E8E8E8E8E8E7E7E7E7E7E7E7E6),
    .INIT_7B(256'hEFEFEEEEEEEEEEEEEEEEEDEDEDEDEDEDEDECECECECECECECECEBEBEBEBEBEBEB),
    .INIT_7C(256'hF3F3F3F2F2F2F2F2F2F2F2F1F1F1F1F1F1F1F1F0F0F0F0F0F0F0EFEFEFEFEFEF),
    .INIT_7D(256'hF7F7F7F7F7F6F6F6F6F6F6F6F6F5F5F5F5F5F5F5F4F4F4F4F4F4F4F4F3F3F3F3),
    .INIT_7E(256'hFBFBFBFBFBFBFAFAFAFAFAFAFAFAF9F9F9F9F9F9F9F9F8F8F8F8F8F8F8F7F7F7),
    .INIT_7F(256'hFFFFFFFFFFFFFFFFFEFEFEFEFEFEFEFDFDFDFDFDFDFDFDFCFCFCFCFCFCFCFCFB),
    .INIT_A(36'h000000000),
    .INIT_B(36'h000000000),
    .INIT_FILE("NONE"),
    .IS_CLKARDCLK_INVERTED(1'b0),
    .IS_CLKBWRCLK_INVERTED(1'b0),
    .IS_ENARDEN_INVERTED(1'b0),
    .IS_ENBWREN_INVERTED(1'b0),
    .IS_RSTRAMARSTRAM_INVERTED(1'b0),
    .IS_RSTRAMB_INVERTED(1'b0),
    .IS_RSTREGARSTREG_INVERTED(1'b0),
    .IS_RSTREGB_INVERTED(1'b0),
    .RDADDRCHANGEA("FALSE"),
    .RDADDRCHANGEB("FALSE"),
    .READ_WIDTH_A(9),
    .READ_WIDTH_B(9),
    .RSTREG_PRIORITY_A("REGCE"),
    .RSTREG_PRIORITY_B("REGCE"),
    .SIM_COLLISION_CHECK("ALL"),
    .SLEEP_ASYNC("FALSE"),
    .SRVAL_A(36'h000000000),
    .SRVAL_B(36'h000000000),
    .WRITE_MODE_A("WRITE_FIRST"),
    .WRITE_MODE_B("WRITE_FIRST"),
    .WRITE_WIDTH_A(9),
    .WRITE_WIDTH_B(9)) 
    \DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram 
       (.ADDRARDADDR({addra,1'b0,1'b0,1'b0}),
        .ADDRBWRADDR({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .ADDRENA(1'b0),
        .ADDRENB(1'b0),
        .CASDIMUXA(1'b0),
        .CASDIMUXB(1'b0),
        .CASDINA({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .CASDINB({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .CASDINPA({1'b0,1'b0,1'b0,1'b0}),
        .CASDINPB({1'b0,1'b0,1'b0,1'b0}),
        .CASDOMUXA(1'b0),
        .CASDOMUXB(1'b0),
        .CASDOMUXEN_A(1'b0),
        .CASDOMUXEN_B(1'b0),
        .CASDOUTA(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTA_UNCONNECTED [31:0]),
        .CASDOUTB(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTB_UNCONNECTED [31:0]),
        .CASDOUTPA(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTPA_UNCONNECTED [3:0]),
        .CASDOUTPB(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASDOUTPB_UNCONNECTED [3:0]),
        .CASINDBITERR(1'b0),
        .CASINSBITERR(1'b0),
        .CASOREGIMUXA(1'b0),
        .CASOREGIMUXB(1'b0),
        .CASOREGIMUXEN_A(1'b0),
        .CASOREGIMUXEN_B(1'b0),
        .CASOUTDBITERR(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASOUTDBITERR_UNCONNECTED ),
        .CASOUTSBITERR(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_CASOUTSBITERR_UNCONNECTED ),
        .CLKARDCLK(clka),
        .CLKBWRCLK(clka),
        .DBITERR(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DBITERR_UNCONNECTED ),
        .DINADIN({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .DINBDIN({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}),
        .DINPADINP({1'b0,1'b0,1'b0,1'b0}),
        .DINPBDINP({1'b0,1'b0,1'b0,1'b0}),
        .DOUTADOUT({\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTADOUT_UNCONNECTED [31:8],douta[7:0]}),
        .DOUTBDOUT(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTBDOUT_UNCONNECTED [31:0]),
        .DOUTPADOUTP({\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTPADOUTP_UNCONNECTED [3:1],douta[8]}),
        .DOUTPBDOUTP(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_DOUTPBDOUTP_UNCONNECTED [3:0]),
        .ECCPARITY(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_ECCPARITY_UNCONNECTED [7:0]),
        .ECCPIPECE(1'b0),
        .ENARDEN(1'b1),
        .ENBWREN(1'b0),
        .INJECTDBITERR(1'b0),
        .INJECTSBITERR(1'b0),
        .RDADDRECC(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_RDADDRECC_UNCONNECTED [8:0]),
        .REGCEAREGCE(1'b1),
        .REGCEB(1'b0),
        .RSTRAMARSTRAM(1'b0),
        .RSTRAMB(1'b0),
        .RSTREGARSTREG(1'b0),
        .RSTREGB(1'b0),
        .SBITERR(\NLW_DEVICE_8SERIES.NO_BMM_INFO.SP.SIMPLE_PRIM36.ram_SBITERR_UNCONNECTED ),
        .SLEEP(sleep),
        .WEA({1'b0,1'b0,1'b0,1'b0}),
        .WEBWE({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0}));
endmodule

(* ORIG_REF_NAME = "blk_mem_gen_top" *) 
module sine_rom_blk_mem_gen_top
   (douta,
    clka,
    sleep,
    addra);
  output [12:0]douta;
  input clka;
  input sleep;
  input [11:0]addra;

  wire [11:0]addra;
  wire clka;
  wire [12:0]douta;
  wire sleep;

  sine_rom_blk_mem_gen_generic_cstr \valid.cstr 
       (.addra(addra),
        .clka(clka),
        .douta(douta),
        .sleep(sleep));
endmodule

(* C_ADDRA_WIDTH = "12" *) (* C_ADDRB_WIDTH = "12" *) (* C_ALGORITHM = "1" *) 
(* C_AXI_ID_WIDTH = "4" *) (* C_AXI_SLAVE_TYPE = "0" *) (* C_AXI_TYPE = "1" *) 
(* C_BYTE_SIZE = "9" *) (* C_COMMON_CLK = "0" *) (* C_COUNT_18K_BRAM = "1" *) 
(* C_COUNT_36K_BRAM = "1" *) (* C_CTRL_ECC_ALGO = "NONE" *) (* C_DEFAULT_DATA = "0" *) 
(* C_DISABLE_WARN_BHV_COLL = "0" *) (* C_DISABLE_WARN_BHV_RANGE = "0" *) (* C_ELABORATION_DIR = "./" *) 
(* C_ENABLE_32BIT_ADDRESS = "0" *) (* C_EN_DEEPSLEEP_PIN = "0" *) (* C_EN_ECC_PIPE = "0" *) 
(* C_EN_RDADDRA_CHG = "0" *) (* C_EN_RDADDRB_CHG = "0" *) (* C_EN_SAFETY_CKT = "0" *) 
(* C_EN_SHUTDOWN_PIN = "0" *) (* C_EN_SLEEP_PIN = "0" *) (* C_EST_POWER_SUMMARY = "Estimated Power for IP     :     2.542051 mW" *) 
(* C_FAMILY = "kintexuplus" *) (* C_HAS_AXI_ID = "0" *) (* C_HAS_ENA = "0" *) 
(* C_HAS_ENB = "0" *) (* C_HAS_INJECTERR = "0" *) (* C_HAS_MEM_OUTPUT_REGS_A = "1" *) 
(* C_HAS_MEM_OUTPUT_REGS_B = "0" *) (* C_HAS_MUX_OUTPUT_REGS_A = "0" *) (* C_HAS_MUX_OUTPUT_REGS_B = "0" *) 
(* C_HAS_REGCEA = "0" *) (* C_HAS_REGCEB = "0" *) (* C_HAS_RSTA = "0" *) 
(* C_HAS_RSTB = "0" *) (* C_HAS_SOFTECC_INPUT_REGS_A = "0" *) (* C_HAS_SOFTECC_OUTPUT_REGS_B = "0" *) 
(* C_INITA_VAL = "0" *) (* C_INITB_VAL = "0" *) (* C_INIT_FILE = "sine_rom.mem" *) 
(* C_INIT_FILE_NAME = "sine_rom.mif" *) (* C_INTERFACE_TYPE = "0" *) (* C_LOAD_INIT_FILE = "1" *) 
(* C_MEM_TYPE = "3" *) (* C_MUX_PIPELINE_STAGES = "0" *) (* C_PRIM_TYPE = "1" *) 
(* C_READ_DEPTH_A = "4096" *) (* C_READ_DEPTH_B = "4096" *) (* C_READ_WIDTH_A = "13" *) 
(* C_READ_WIDTH_B = "13" *) (* C_RSTRAM_A = "0" *) (* C_RSTRAM_B = "0" *) 
(* C_RST_PRIORITY_A = "CE" *) (* C_RST_PRIORITY_B = "CE" *) (* C_SIM_COLLISION_CHECK = "ALL" *) 
(* C_USE_BRAM_BLOCK = "0" *) (* C_USE_BYTE_WEA = "0" *) (* C_USE_BYTE_WEB = "0" *) 
(* C_USE_DEFAULT_DATA = "0" *) (* C_USE_ECC = "0" *) (* C_USE_SOFTECC = "0" *) 
(* C_USE_URAM = "0" *) (* C_WEA_WIDTH = "1" *) (* C_WEB_WIDTH = "1" *) 
(* C_WRITE_DEPTH_A = "4096" *) (* C_WRITE_DEPTH_B = "4096" *) (* C_WRITE_MODE_A = "WRITE_FIRST" *) 
(* C_WRITE_MODE_B = "WRITE_FIRST" *) (* C_WRITE_WIDTH_A = "13" *) (* C_WRITE_WIDTH_B = "13" *) 
(* C_XDEVICEFAMILY = "kintexuplus" *) (* ORIG_REF_NAME = "blk_mem_gen_v8_4_1" *) (* downgradeipidentifiedwarnings = "yes" *) 
module sine_rom_blk_mem_gen_v8_4_1
   (clka,
    rsta,
    ena,
    regcea,
    wea,
    addra,
    dina,
    douta,
    clkb,
    rstb,
    enb,
    regceb,
    web,
    addrb,
    dinb,
    doutb,
    injectsbiterr,
    injectdbiterr,
    eccpipece,
    sbiterr,
    dbiterr,
    rdaddrecc,
    sleep,
    deepsleep,
    shutdown,
    rsta_busy,
    rstb_busy,
    s_aclk,
    s_aresetn,
    s_axi_awid,
    s_axi_awaddr,
    s_axi_awlen,
    s_axi_awsize,
    s_axi_awburst,
    s_axi_awvalid,
    s_axi_awready,
    s_axi_wdata,
    s_axi_wstrb,
    s_axi_wlast,
    s_axi_wvalid,
    s_axi_wready,
    s_axi_bid,
    s_axi_bresp,
    s_axi_bvalid,
    s_axi_bready,
    s_axi_arid,
    s_axi_araddr,
    s_axi_arlen,
    s_axi_arsize,
    s_axi_arburst,
    s_axi_arvalid,
    s_axi_arready,
    s_axi_rid,
    s_axi_rdata,
    s_axi_rresp,
    s_axi_rlast,
    s_axi_rvalid,
    s_axi_rready,
    s_axi_injectsbiterr,
    s_axi_injectdbiterr,
    s_axi_sbiterr,
    s_axi_dbiterr,
    s_axi_rdaddrecc);
  input clka;
  input rsta;
  input ena;
  input regcea;
  input [0:0]wea;
  input [11:0]addra;
  input [12:0]dina;
  output [12:0]douta;
  input clkb;
  input rstb;
  input enb;
  input regceb;
  input [0:0]web;
  input [11:0]addrb;
  input [12:0]dinb;
  output [12:0]doutb;
  input injectsbiterr;
  input injectdbiterr;
  input eccpipece;
  output sbiterr;
  output dbiterr;
  output [11:0]rdaddrecc;
  input sleep;
  input deepsleep;
  input shutdown;
  output rsta_busy;
  output rstb_busy;
  input s_aclk;
  input s_aresetn;
  input [3:0]s_axi_awid;
  input [31:0]s_axi_awaddr;
  input [7:0]s_axi_awlen;
  input [2:0]s_axi_awsize;
  input [1:0]s_axi_awburst;
  input s_axi_awvalid;
  output s_axi_awready;
  input [12:0]s_axi_wdata;
  input [0:0]s_axi_wstrb;
  input s_axi_wlast;
  input s_axi_wvalid;
  output s_axi_wready;
  output [3:0]s_axi_bid;
  output [1:0]s_axi_bresp;
  output s_axi_bvalid;
  input s_axi_bready;
  input [3:0]s_axi_arid;
  input [31:0]s_axi_araddr;
  input [7:0]s_axi_arlen;
  input [2:0]s_axi_arsize;
  input [1:0]s_axi_arburst;
  input s_axi_arvalid;
  output s_axi_arready;
  output [3:0]s_axi_rid;
  output [12:0]s_axi_rdata;
  output [1:0]s_axi_rresp;
  output s_axi_rlast;
  output s_axi_rvalid;
  input s_axi_rready;
  input s_axi_injectsbiterr;
  input s_axi_injectdbiterr;
  output s_axi_sbiterr;
  output s_axi_dbiterr;
  output [11:0]s_axi_rdaddrecc;

  wire \<const0> ;
  wire [11:0]addra;
  wire clka;
  wire [12:0]douta;
  wire sleep;

  assign dbiterr = \<const0> ;
  assign doutb[12] = \<const0> ;
  assign doutb[11] = \<const0> ;
  assign doutb[10] = \<const0> ;
  assign doutb[9] = \<const0> ;
  assign doutb[8] = \<const0> ;
  assign doutb[7] = \<const0> ;
  assign doutb[6] = \<const0> ;
  assign doutb[5] = \<const0> ;
  assign doutb[4] = \<const0> ;
  assign doutb[3] = \<const0> ;
  assign doutb[2] = \<const0> ;
  assign doutb[1] = \<const0> ;
  assign doutb[0] = \<const0> ;
  assign rdaddrecc[11] = \<const0> ;
  assign rdaddrecc[10] = \<const0> ;
  assign rdaddrecc[9] = \<const0> ;
  assign rdaddrecc[8] = \<const0> ;
  assign rdaddrecc[7] = \<const0> ;
  assign rdaddrecc[6] = \<const0> ;
  assign rdaddrecc[5] = \<const0> ;
  assign rdaddrecc[4] = \<const0> ;
  assign rdaddrecc[3] = \<const0> ;
  assign rdaddrecc[2] = \<const0> ;
  assign rdaddrecc[1] = \<const0> ;
  assign rdaddrecc[0] = \<const0> ;
  assign rsta_busy = \<const0> ;
  assign rstb_busy = \<const0> ;
  assign s_axi_arready = \<const0> ;
  assign s_axi_awready = \<const0> ;
  assign s_axi_bid[3] = \<const0> ;
  assign s_axi_bid[2] = \<const0> ;
  assign s_axi_bid[1] = \<const0> ;
  assign s_axi_bid[0] = \<const0> ;
  assign s_axi_bresp[1] = \<const0> ;
  assign s_axi_bresp[0] = \<const0> ;
  assign s_axi_bvalid = \<const0> ;
  assign s_axi_dbiterr = \<const0> ;
  assign s_axi_rdaddrecc[11] = \<const0> ;
  assign s_axi_rdaddrecc[10] = \<const0> ;
  assign s_axi_rdaddrecc[9] = \<const0> ;
  assign s_axi_rdaddrecc[8] = \<const0> ;
  assign s_axi_rdaddrecc[7] = \<const0> ;
  assign s_axi_rdaddrecc[6] = \<const0> ;
  assign s_axi_rdaddrecc[5] = \<const0> ;
  assign s_axi_rdaddrecc[4] = \<const0> ;
  assign s_axi_rdaddrecc[3] = \<const0> ;
  assign s_axi_rdaddrecc[2] = \<const0> ;
  assign s_axi_rdaddrecc[1] = \<const0> ;
  assign s_axi_rdaddrecc[0] = \<const0> ;
  assign s_axi_rdata[12] = \<const0> ;
  assign s_axi_rdata[11] = \<const0> ;
  assign s_axi_rdata[10] = \<const0> ;
  assign s_axi_rdata[9] = \<const0> ;
  assign s_axi_rdata[8] = \<const0> ;
  assign s_axi_rdata[7] = \<const0> ;
  assign s_axi_rdata[6] = \<const0> ;
  assign s_axi_rdata[5] = \<const0> ;
  assign s_axi_rdata[4] = \<const0> ;
  assign s_axi_rdata[3] = \<const0> ;
  assign s_axi_rdata[2] = \<const0> ;
  assign s_axi_rdata[1] = \<const0> ;
  assign s_axi_rdata[0] = \<const0> ;
  assign s_axi_rid[3] = \<const0> ;
  assign s_axi_rid[2] = \<const0> ;
  assign s_axi_rid[1] = \<const0> ;
  assign s_axi_rid[0] = \<const0> ;
  assign s_axi_rlast = \<const0> ;
  assign s_axi_rresp[1] = \<const0> ;
  assign s_axi_rresp[0] = \<const0> ;
  assign s_axi_rvalid = \<const0> ;
  assign s_axi_sbiterr = \<const0> ;
  assign s_axi_wready = \<const0> ;
  assign sbiterr = \<const0> ;
  GND GND
       (.G(\<const0> ));
  sine_rom_blk_mem_gen_v8_4_1_synth inst_blk_mem_gen
       (.addra(addra),
        .clka(clka),
        .douta(douta),
        .sleep(sleep));
endmodule

(* ORIG_REF_NAME = "blk_mem_gen_v8_4_1_synth" *) 
module sine_rom_blk_mem_gen_v8_4_1_synth
   (douta,
    clka,
    sleep,
    addra);
  output [12:0]douta;
  input clka;
  input sleep;
  input [11:0]addra;

  wire [11:0]addra;
  wire clka;
  wire [12:0]douta;
  wire sleep;

  sine_rom_blk_mem_gen_top \gnbram.gnativebmg.native_blk_mem_gen 
       (.addra(addra),
        .clka(clka),
        .douta(douta),
        .sleep(sleep));
endmodule
`ifndef GLBL
`define GLBL
`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;

//--------   STARTUP Globals --------------
    wire GSR;
    wire GTS;
    wire GWE;
    wire PRLD;
    tri1 p_up_tmp;
    tri (weak1, strong0) PLL_LOCKG = p_up_tmp;

    wire PROGB_GLBL;
    wire CCLKO_GLBL;
    wire FCSBO_GLBL;
    wire [3:0] DO_GLBL;
    wire [3:0] DI_GLBL;
   
    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;
    reg JTAG_RUNTEST_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (strong1, weak0) GSR = GSR_int;
    assign (strong1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

endmodule
`endif
